'''
    Cheddar Live Add-on

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import sys, re, os, urllib, urllib2
from urllib2 import urlopen
import xbmc, xbmcgui, xbmcplugin, xbmcaddon

dlg = xbmcgui.Dialog()
addon = xbmcaddon.Addon()
addon_name = addon.getAddonInfo('name')
addon_id = addon.getAddonInfo('id')
plugin_path = xbmcaddon.Addon(id=addon_id).getAddonInfo('path')
addon_logo = xbmc.translatePath(os.path.join(plugin_path, 'tvaddons_logo.png'))
stream_url = "https://cheddar.com/"

if __name__ == '__main__':
    # TVADDONS Branding
    dlg.notification(addon_name + ' is provided by:', 'www.tvaddons.co', addon_logo, 10000, False)

    # Channel Selection
    source = xbmcgui.Dialog().select("Choose Channel",
                                     ["[COLOR blue]Cheddar[/COLOR]", "[COLOR blue]Cheddar Big News[/COLOR]"])
    if source == 0:
        stream = "http://feed00.pluto.tv/feed04/ngrp:cheddar.stream_all/playlist.m3u8"
    if source == 1:
        stream = "https://wowzaprod124-i.akamaihd.net/hls/live/505691/261805b7/playlist.m3u8"
    if source < 0:
        xbmc.executebuiltin('Activatewindow(home)')
        exit()

    # Play Cheddar stream depending on Channel Selection
    xbmc.executebuiltin('Activatewindow(home)')
    xbmc.Player().play(stream)
